Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

Commit 6c948a7b authored by Rob Swindell's avatar Rob Swindell 💬

Fix: these scripts should not return 1 (error) when disabled via modopts.ini

parent 1ed8d43f
Pipeline #616 passed with stage
in 9 minutes and 41 seconds
......@@ -16,7 +16,7 @@ function exec_xtrn_post(program)
require("nodedefs.js", "NODE_LOGN");
if ((options.disable_post_on_logon_event) && (bbs.node_action == NODE_LOGN)) {
exit(1);
exit(0);
}
require("cga_defs.js", "LIGHTGRAY");
......
......@@ -17,7 +17,7 @@ function exec_xtrn_pre(program)
require("nodedefs.js", "NODE_LOGN");
if (bbs.node_action == NODE_LOGN) {
if (options.disable_pre_on_logon_event) {
exit(1);
exit(0);
}
} else {
if (options.restricted_user_msg === undefined) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment